当前位置: 动力学知识库 > 问答 > 编程问答 >

Compatibility of Axis2 with older wsdl files / Web Services

问题描述:

If I understand correctly, all frameworks use SOAP while communicating with Web Services. I am still in dilemma whether a particular server supports all frameworks.

Let's say, XYZ has released its WSDL file longback (in Axis era), and they have not upgraded anything. Now, can I use Axis2 to build the stubs from the same WSDL, and communicate successfully with the same old server?

网友答案:

There are different versions of WSDL and SOAP, AXIS2 would normally use SOAP 1.2 This is a reference to how to use SOAP 1.1 with Axis2.

分享给朋友:
您可能感兴趣的文章:
随机阅读: